Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.servlet.filter
Interface ResourceCopier

    public interface ResourceCopier

Since:
  17-Feb-2006
Author:
  Graeme Rocher

Method Summary
`void` | `cleanControllers()` Cleans out controllers replacing them with new ones
`void` | `copyGrailsApp()` Copies the whole grails-app replacing any changes
`void` | `copyResourceBundles()` Copies the resource bundles.
`void` | `copyViews()` Copies only the views.
`void` | `copyViews(boolean shouldOverwrite)` Copies only the views
`void` | `generateWebXml()` Re-generates the web.xml file
`void` | `setBasedir(String basedir)` The basedir to copy from (defaults to ".")
`void` | `setDestdir(String destdir)` The destdir to copy destdir (defaults to "./tmp/war")

Method Detail

### copyGrailsApp

    void copyGrailsApp()

  Copies the whole grails-app replacing any changes

### copyViews

    void copyViews(boolean shouldOverwrite)

  Copies only the views

  Parameters:
    `shouldOverwrite` - Whether the views should be overwritten

### copyViews

    void copyViews()

  Copies only the views. Older views will be replaced by a newer version

### copyResourceBundles

    void copyResourceBundles()

  Copies the resource bundles. Older resource bundles will be replaced by a newer version

### setBasedir

    void setBasedir(String basedir)

  The basedir to copy from (defaults to ".")

  Parameters:
    `basedir` -

### setDestdir

    void setDestdir(String destdir)

  The destdir to copy destdir (defaults to "./tmp/war")

  Parameters:
    `destdir` -

### generateWebXml

    void generateWebXml()

  Re-generates the web.xml file

### cleanControllers

    void cleanControllers()

  Cleans out controllers replacing them with new ones

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project